Bug report #18122

Updated by Jürgen Fischer over 2 years ago

QGIS 2.99 master (6dfedc38e9) can't open the python console. This issue may be reproduced by selecting the menu "Plugins - Python Console" or pressing the shortcut key "CTRL + ALT + P".

It's related to Bug report #18121. When I tried to open the Python console in order to understand why Processing isn't working, the python console did not open. QGIS gave the following error...

<pre>
-----

SyntaxError: invalid syntax

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "", line 2, in
File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console.py", line 48, in show_console
_console = PythonConsole(parent)
File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console.py", line 84, in __init__
self.console = PythonConsoleWidget(self)
File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console.py", line 110, in __init__
self.shell = ShellScintilla(self)
File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console_sci.py", line 71, in __init__
self.runsource(line)
File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console_sci.py", line 634, in runsource
return super(ShellScintilla, self).runsource(source, filename, symbol)
File "C:\OSGEO4~1\apps\Python36\lib\code.py", line 75, in runsource
self.runcode(code)
File "C:\OSGEO4~1\apps\Python36\lib\code.py", line 95, in runcode
self.showtraceback()
File "C:\OSGEO4~1\apps\Python36\lib\code.py", line 149, in showtraceback
sys.excepthook(ei[0], ei[1], last_tb)
File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console_sci.py", line 630, in excepthook
self.write(u"".join(traceback.format_exception(etype, value, tb)))
File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console_sci.py", line 614, in write
sys.stderr.write(txt)
AttributeError: 'NoneType' object has no attribute 'write'
</pre>

Back